> For the complete documentation index, see [llms.txt](https://docs.propellerheads.xyz/tycho/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.propellerheads.xyz/tycho/for-solvers/hosted-endpoints.md).

# Hosted Endpoints

## Tycho Indexer

<table><thead><tr><th width="244">Chain</th><th>URL</th></tr></thead><tbody><tr><td>Ethereum (Mainnet)</td><td>tycho-beta.propellerheads.xyz</td></tr><tr><td>Base Mainnet</td><td>tycho-base-beta.propellerheads.xyz</td></tr><tr><td>Unichain Mainnet</td><td>tycho-unichain-beta.propellerheads.xyz</td></tr><tr><td>Arbitrum Mainnet</td><td>tycho-arbitrum-beta.propellerheads.xyz</td></tr><tr><td>Polygon Mainnet</td><td>tycho-polygon-beta.propellerheads.xyz</td></tr></tbody></table>

### Tycho Fynd

Tycho Fynd endpoints are dedicated instances for Fynd users. They enforce stricter data filtering restrictions to support higher load.

<table><thead><tr><th width="244">Chain</th><th>URL</th></tr></thead><tbody><tr><td>Ethereum (Mainnet)</td><td>tycho-fynd-ethereum.propellerheads.xyz</td></tr><tr><td>Base Mainnet</td><td>tycho-fynd-base.propellerheads.xyz</td></tr><tr><td>Unichain Mainnet</td><td>tycho-fynd-unichain.propellerheads.xyz</td></tr><tr><td>Arbitrum Mainnet</td><td>tycho-fynd-arbitrum.propellerheads.xyz</td></tr><tr><td>Polygon Mainnet</td><td>tycho-fynd-polygon.propellerheads.xyz</td></tr></tbody></table>

{% hint style="info" %}
For API Documentation, Tycho Indexer includes Swagger docs, available at /docs/ path.

Example, for Mainnet: <https://tycho-beta.propellerheads.xyz/docs/>
{% endhint %}

{% hint style="info" %}
We're constantly adding new protocols. To see the current protocol systems for a specific endpoint, use the [Retrieve protocol systems](/tycho/for-solvers/indexer/tycho-rpc.md#v1-protocol_systems) endpoint.
{% endhint %}

## Plans

Each API key is assigned a plan that determines rate limits and endpoint access.

### Rate Limits

| Plan       | Requests/sec | Burst      | Max WebSocket Connections | Allowed Endpoints         |
| ---------- | ------------ | ---------- | ------------------------- | ------------------------- |
| basic      | 50           | 300/s (6x) | 2                         | Tycho Indexer, Tycho Fynd |
| fynd-basic | 50           | 300/s (6x) | 2                         | Tycho Fynd only           |

{% hint style="info" %}
Don't have a key yet? Get a base-tier key from [@fynd\_portal\_bot](https://t.me/fynd_portal_bot) on Telegram.

Need higher limits or full Tycho Indexer access? DM `@tanay_j` on Telegram to request an upgrade.
{% endhint %}

### Data Restrictions

Endpoints enforce data filtering restrictions on API queries. When a restriction is active, requests that do not include the required parameter values are rejected.

#### Tycho Indexer

<table><thead><tr><th width="280">Restriction</th><th>Value</th></tr></thead><tbody><tr><td>Max version age</td><td>10 minutes</td></tr><tr><td>Protocol systems</td><td>All available</td></tr><tr><td><code>tvl_gt</code></td><td>No restriction</td></tr><tr><td><code>min_quality</code></td><td>No restriction</td></tr><tr><td><code>traded_n_days_ago</code></td><td>No restriction</td></tr></tbody></table>

#### Tycho Fynd

All Fynd endpoints share the same filtering restrictions:

<table><thead><tr><th width="280">Restriction</th><th>Value</th></tr></thead><tbody><tr><td>Max version age</td><td>10 minutes</td></tr><tr><td><code>tvl_gt</code></td><td>Chain-dependent. See <a href="/pages/9H2UNpStTx1VquGMu4w1#tvl-filtering">TVL Filtering</a> for values per chain.</td></tr><tr><td><code>min_quality</code></td><td>100</td></tr><tr><td><code>traded_n_days_ago</code></td><td>3</td></tr></tbody></table>

The available protocol systems vary by chain:

<table><thead><tr><th width="244">Chain</th><th>Protocol Systems</th></tr></thead><tbody><tr><td>Ethereum (Mainnet)</td><td><code>uniswap_v2</code>, <code>uniswap_v3</code>, <code>uniswap_v4</code>, <code>sushiswap_v2</code>, <code>pancakeswap_v2</code>, <code>pancakeswap_v3</code>, <code>ekubo_v2</code>, <code>ekubo_v3</code>, <code>fluid_v1</code></td></tr><tr><td>Base Mainnet</td><td><code>uniswap_v2</code>, <code>uniswap_v3</code>, <code>uniswap_v4</code>, <code>pancakeswap_v3</code>, <code>aerodrome_slipstreams</code></td></tr><tr><td>Unichain Mainnet</td><td><code>uniswap_v2</code>, <code>uniswap_v3</code>, <code>uniswap_v4</code>, <code>velodrome_slipstreams</code>, <code>uniswap_v4_hooks</code></td></tr><tr><td>Arbitrum Mainnet</td><td><code>uniswap_v2</code>, <code>uniswap_v3</code>, <code>uniswap_v4</code>, <code>pancakeswap_v3</code></td></tr><tr><td>Polygon Mainnet</td><td><code>uniswap_v2</code>, <code>uniswap_v3</code>, <code>uniswap_v4</code>, <code>quickswap_v2</code></td></tr></tbody></table>

## Metrics

{% embed url="<http://tycho.live>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.propellerheads.xyz/tycho/for-solvers/hosted-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
